{#
/**
 * @file
 * Bootstrap Barrio's theme implementation to display a single page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.html.twig template normally located in the
 * core/modules/system directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - base_path: The base URL path of the Drupal installation. Will usually be
 *   "/" unless you have installed Drupal in a sub-directory.
 * - is_front: A flag indicating if the current page is the front page.
 * - logged_in: A flag indicating if the user is registered and signed in.
 * - is_admin: A flag indicating if the user has permission to access
 *   administration pages.
 *
 * Site identity:
 * - front_page: The URL of the front page. Use this instead of base_path when
 *   linking to the front page. This includes the language domain or prefix.
 * - logo: The url of the logo image, as defined in theme settings.
 * - site_name: The name of the site. This is empty when displaying the site
 *   name has been disabled in the theme settings.
 * - site_slogan: The slogan of the site. This is empty when displaying the site
 *   slogan has been disabled in theme settings.

 * Page content (in order of occurrence in the default page.html.twig):
 * - node: Fully loaded node, if there is an automatically-loaded node
 *   associated with the page and the node ID is the second argument in the
 *   page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - page.top_header: Items for the top header region.
 * - page.top_header_form: Items for the top header form region.
 * - page.header: Items for the header region.
 * - page.header_form: Items for the header form region.
 * - page.highlighted: Items for the highlighted region.
 * - page.primary_menu: Items for the primary menu region.
 * - page.secondary_menu: Items for the secondary menu region.
 * - page.featured_top: Items for the featured top region.
 * - page.content: The main content of the current page.
 * - page.sidebar_first: Items for the first sidebar.
 * - page.sidebar_second: Items for the second sidebar.
 * - page.featured_bottom_first: Items for the first featured bottom region.
 * - page.featured_bottom_second: Items for the second featured bottom region.
 * - page.featured_bottom_third: Items for the third featured bottom region.
 * - page.footer_first: Items for the first footer column.
 * - page.footer_second: Items for the second footer column.
 * - page.footer_third: Items for the third footer column.
 * - page.footer_fourth: Items for the fourth footer column.
 * - page.footer_fifth: Items for the fifth footer column.
 * - page.breadcrumb: Items for the breadcrumb region.
 *
 * Theme variables:
 * - navbar_top_attributes: Items for the header region.
 * - navbar_attributes: Items for the header region.
 * - content_attributes: Items for the header region.
 * - sidebar_first_attributes: Items for the highlighted region.
 * - sidebar_second_attributes: Items for the primary menu region.
 * - sidebar_collapse: If the sidebar_first will collapse.
 *
 * @see template_preprocess_page()
 * @see bootstrap_barrio_preprocess_page()
 * @see html.html.twig
 */
#}

<div id="page-wrapper" class="{{ theme_class }}">
	<div id="page">
		<header id="header" class="header" role="banner" aria-label="{{ 'Site header'|t}}">
			{% block head %}
				{% if page.navigation %}
					<div class="container">
						{{ page.navigation }}
					</div>
				{% endif %}

				{% if page.navigation_collapsible %}
					<div class="collapsible-navigation">
						<div class="container">
							{{ page.navigation_collapsible }}
						</div>
					</div>
				{% endif %}
			{% endblock %}
		</header>
		{% if is_login_page %}
			{% if page.highlighted %}
				{% set class_bg = "highlighted" %}
				{% if node.field_main_banner[0] %}
					{% set class_bg = 'highlighted page__row--has-bg' %}
				{% endif %}
				{# Build a domain URL. This should be moved into a yml variable. #}
				{% set site_url = url("<current>") %}
				{% set domain = (site_url|render|render|split('/')[0] ~ '//' ~ site_url|render|render|split('/')[2])|lower %}
				{% set fetch_src = iiif_server_location ~ '/' ~ (domain ~ node.field_main_banner[0]|file_url)|url_encode ~ '/full/full' ~ '/0/default.jpg' %}
				<div {{ attributes.addClass(class_bg) }} {% if node.field_main_banner[0] %} style="background-image: url('{{ fetch_src }}');" {% endif %}>
					<aside class="{{ container }} section clearfix" role="complementary">
						{{ page.highlighted }}
					</aside>
				</div>
			{% endif %}
		{% endif %}
		<div id="main-wrapper" class="layout-main-wrapper clearfix">
			{% if is_front %}
				{# Homepage Banner #}
				<div class="homepage-banner" style="background: url({{ banner_background }}) no-repeat center; background-size: cover;">
					<div class="container">
						{% if banner_heading is not null and banner_heading is not empty %}
							<h1>{{ banner_heading|t }}</h1>
						{% endif %}
						{% if banner_tagline is not null and banner_tagline is not empty %}
							<p>{{ banner_tagline|t }}</p>
						{% endif %}
						{% if banner_btn_text is not null and banner_btn_text is not empty %}
							<a href="{{ banner_btn_url }}" class="btn btn-lg-primary">
								{{ banner_btn_text|t }}
							</a>
						{% endif %}
					</div>
				</div>
				{# End of Homepage Banner #}
			{% endif %}
			{% block content %}
				<div id="main" class="{{ container }}">
					{% if page.breadcrumb %}
						{{ page.breadcrumb }}
					{% endif %}
					{% if page.top_content %}
						<div class="top-content header-section">{{ page.top_content }}</div>
					{% endif %}
					{% if page.incontent_navigation %}
						<div class="in-content-navigation">{{ page.incontent_navigation }}</div>
					{% endif %}

					<div class="row row-offcanvas row-offcanvas-left clearfix">
						{% if page.left_sidebar %}
							<div{{left_sidebar_attributes}}>
								<aside class="section" role="complementary">
									{{ page.left_sidebar }}
								</aside>
							</div>
						{% endif %}
						<main{{content_attributes}}>
							<section class="section">
								<a id="main-content" tabindex="-1"></a>
								{{ page.content }}
							</section>
						</main>
						{% if page.right_sidebar %}
							<div{{right_sidebar_attributes}}>
								<aside class="section" role="complementary">
									{{ page.right_sidebar }}
								</aside>
							</div>
						{% endif %}
					</div>
				</div>
			{% endblock %}
		</div>
		{% if page.bottom_slider %}
			{{ page.bottom_slider }}
		{% endif %}
		{% if page.bottom_content %}
			{{ page.bottom_content }}
		{% endif %}
		<footer class="site-footer">
			{% block footer %}
				<div class="{{ container }}">
					{{ page.footer }}
				</div>
			{% endblock %}
		</footer>
	</div>
</div>
